#!/bin/bash

set -xe

FLASK_NAME=flaskoauth
FLASK_ENV=$1

if [ "$FLASK_ENV" == "development" ] || [ "$FLASK_ENV" == "production" ]; then
    # cd app/
    # flask run --host=0.0.0.0
    FLASK_ENV=$FLASK_ENV docker compose up --build --remove-orphans -d && \
    docker compose logs -f
else
    echo "Please use 'development' or 'production' as an argument."
fi
